package com.engine.organization.entity.resume.po;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.util.IOUtils;
import weaver.file.ImageFileManager;
import weaver.general.Util;

import java.io.IOException;
import java.io.InputStream;
import java.util.Base64;

/**
 * @author:dxfeng
 * @createTime: 2022/12/29
 * @version: 1.0
 */
@Data
public class PersonnelResumePO {
    private String lastName;
    private String sex;
    private String birthday;
    // resourceImageId;
    private String image;
    private String nativePlace;
    // policy;
    private String politics;
    // departmentid;
    private String department;
    // maritalStatus;
    private String marriage;
    private String jobTitle;
    private String companyStartDate;
    private String workStartDate;
    // certificatenum
    private String idCard;
    // homeaddress
    private String address;
    private String telephone;
    private String email;
    private String selfStatement;

    public String getSex() {
        if ("1".equals(sex)) {
            return "女";
        }
        return "男";
    }

    public String getImage() {
        if (StringUtils.isBlank(image)) {
            return "";
        }
        ImageFileManager manager = new ImageFileManager();
        manager.getImageFileInfoById(Util.getIntValue(image));
        InputStream inputStream = manager.getInputStream();
        try {
            return "data:image/" + manager.getImageFileType() + ";base64," + Base64.getEncoder().encodeToString(IOUtils.toByteArray(inputStream));
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }


    public String getMarriage() {
        if (StringUtils.isBlank(marriage)) {
            return "未婚";
        }
        switch (marriage) {
            case "1":
                return "已婚";
            case "2":
                return "离异";
            case "0":
            default:
                return "未婚";
        }
    }
}
